Bug 1031466 - Review Request: jamm - Java Agent for Memory Measurements
Review Request: jamm - Java Agent for Memory Measurements
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Repik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-17 22:35 EST by gil cattaneo
Modified: 2016-02-21 17:51 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-21 17:51:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
trepik: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2013-11-17 22:35:52 EST
Spec URL: http://gil.fedorapeople.org/jamm.spec
SRPM URL: http://gil.fedorapeople.org/jamm-0.2.5-1.fc19.src.rpm
Description:
Jamm provides MemoryMeter, a java agent to
measure actual object memory use including
JVM overhead.
Fedora Account System Username: gil

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=6192106
Comment 4 Upstream Release Monitoring 2015-12-14 05:40:17 EST
jerboaa's scratch build of java-1.8.0-openjdk?#d28765c33d068af9ff432a92443b93beeef88a22 for git://pkgs.fedoraproject.org/java-1.8.0-openjdk?#d28765c33d068af9ff432a92443b93beeef88a22 and rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12181621
Comment 6 Tomas Repik 2016-02-08 10:18:02 EST
Remove
%global githash 1708ca44f7eb3addb66551a15b6b74672e87286a
Use v%{version} in Source0 instead
Use simple setup -q (no need to specify a directory)
no need to remove .class and .jar files there aren't any
For javadoc subpackage add
Requires:   %{name} = %{version}-%{release}

SHOULD
[!]: %check is present and all tests pass.
Comment 7 gil cattaneo 2016-02-08 10:30:06 EST
(In reply to Tomas Repik from comment #6)
> Remove
> %global githash 1708ca44f7eb3addb66551a15b6b74672e87286a
> Use v%{version} in Source0 instead
I prefer use source archive in this way
> Use simple setup -q (no need to specify a directory)
Is not a blocking problem
> no need to remove .class and .jar files there aren't any
Done
> For javadoc subpackage add
> Requires:   %{name} = %{version}-%{release}
NOT necessary
> SHOULD
> [!]: %check is present and all tests pass.
NOT necessary, maven build style
For referencies see https://fedorahosted.org/released/javapackages/doc/
and https://fedorahosted.org/released/javapackages/doc/#maven
Comment 8 Tomas Repik 2016-02-11 05:17:27 EST
These tests fail on koji only https://github.com/jbellis/jamm/issues/21
Do you want to wait for this issue to be resolved? 
Otherwise I don't see any problems.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 9 files have unknown license. Detailed
     output of licensecheck in /home/makerpm/rev/jamm/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[-]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It
     is pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[x]: If package contains pom.xml files install it (including metadata) even
     when building with ant
[x]: POM files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DO NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use .mfiles file list instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in jamm-
     javadoc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.


Rpmlint
-------
Checking: jamm-0.3.1-1.fc24.noarch.rpm
          jamm-javadoc-0.3.1-1.fc24.noarch.rpm
          jamm-0.3.1-1.fc24.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
2 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
jamm (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils

jamm-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils



Provides
--------
jamm:
    jamm
    mvn(com.github.jbellis:jamm)
    mvn(com.github.jbellis:jamm:pom:)
    mvn(com.github.stephenc:jamm)
    mvn(com.github.stephenc:jamm:pom:)

jamm-javadoc:
    jamm-javadoc



Source checksums
----------------
https://github.com/jbellis/jamm/archive/1708ca44f7eb3addb66551a15b6b74672e87286a/jamm-1708ca44f7eb3addb66551a15b6b74672e87286a.tar.gz :
  CHECKSUM(SHA256) this package     : 42efe7a8e1cf95915c5c1ba01c2ba856014512351be99d1d02d911f36f41eb61
  CHECKSUM(SHA256) upstream package : 42efe7a8e1cf95915c5c1ba01c2ba856014512351be99d1d02d911f36f41eb61


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -P Java --rpm-spec -n /home/makerpm/rpmbuild/SRPMS/jamm-0.3.1-1.fc23.src.rpm
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 9 gil cattaneo 2016-02-11 07:14:31 EST
(In reply to Tomas Repik from comment #8)
> These tests fail on koji only https://github.com/jbellis/jamm/issues/21
> Do you want to wait for this issue to be resolved? 
No, is a Fedora specific problem. Maybe require some resources not available on Koji build system (e.g. web connection, or other ...)
> Otherwise I don't see any problems.
Thanks for the review
Comment 10 Gwyn Ciesla 2016-02-11 08:41:07 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/jamm
Comment 11 Fedora Update System 2016-02-11 09:34:53 EST
jamm-0.3.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-bde0882380
Comment 12 Fedora Update System 2016-02-14 11:23:17 EST
jamm-0.3.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-bde0882380
Comment 13 Fedora Update System 2016-02-21 17:51:36 EST
jamm-0.3.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.